#!/bin/bash

set -e

# This parameter is optional
service="$1"

logfile="/tmp/rct/${service:-services}-$(date +'%y%m%d%H%M%S').log.gz"
trap "rm -f $logfile; exit 1" INT TERM PIPE KILL

configs="-f /var/lib/rct/cache/docker-compose.yml"
if [ -f "/var/lib/rct/cache/docker-compose.${RELEASE_TAG}.yml" ]; then
    configs="$configs -f /var/lib/rct/cache/docker-compose.${RELEASE_TAG}.yml"
fi

if [ -z "$service" ]; then
    docker-compose $configs logs --no-color --tail="all" | gzip > "$logfile"
else
    docker-compose $configs logs  --no-color --tail="all" "$service" | \
        gzip > "$logfile"
fi

echo "$logfile" 1>&2
