#!/bin/bash

# This option is optional
service="$1"

images="$(docker images --format '{{.Repository}}:{{.Tag}}' | \
    grep "${service}:${RELEASE_TAG}")"

if [ -z "$images" ]; then
    echo "ERROR: Can't find appropriate service images" >&2
    exit 1
fi

for image in $images; do
    base="$(basename $image | cut -f1- -d'-')"
    package="${base%%:*}"
    version="$(docker run --rm "$image" apt-cache policy "$package" | \
        grep Installed | awk '{print $2}')"
    echo "${package}:${version}"
done
