#!/bin/bash

set +e

filename="$1"
images="$(docker images --format '{{.Repository}}:{{.Tag}}'|grep $RELEASE_TAG)"

# Re-tagging old images so they don't become untagged
for old in $images; do
    tag="$(date +'%y%m%d%H%M%S')"
    new="${old%%:*}:${tag}"
    docker retag $old $new
done

set -e

configs="-f /var/lib/rct/cache/docker-compose.yml"
if [ -f "/var/lib/rct/cache/docker-compose.${RELEASE_TAG}.yml" ]; then
    configs="$configs -f /var/lib/rct/cache/docker-compose.${RELEASE_TAG}.yml"
fi

docker image load -i "$filename"
docker-compose $configs stop
docker-compose $configs rm -f
docker-compose $configs up -d
